Index: /branches/2.2/filemanager/setup/phpgw_pt-br.lang
===================================================================
--- /branches/2.2/filemanager/setup/phpgw_pt-br.lang	(revision 3636)
+++ /branches/2.2/filemanager/setup/phpgw_pt-br.lang	(revision 3638)
@@ -203,3 +203,4 @@
 Comments by user: %1	filemanager	pt-br	Coment&aacute;rios do usu&aacute;rio: %1
 The file can be accessed by: %1	filemanager	pt-br	O arquivo pode ser acessado pelo endere&ccedil;o: %1
+The following addresses will be notified	filemanager	pt-br	Os endereços abaixo serão notificados
 Send Notification email to:	filemanager	pt-br	Enviar email de notificação para:
Index: /branches/2.2/filemanager/tp/expressowindow/xsl/send_notification.xsl
===================================================================
--- /branches/2.2/filemanager/tp/expressowindow/xsl/send_notification.xsl	(revision 3610)
+++ /branches/2.2/filemanager/tp/expressowindow/xsl/send_notification.xsl	(revision 3638)
@@ -5,14 +5,25 @@
 	<xsl:param name = "lang_delete" />
 	<xsl:param name = "lang_send_notification_email_to" />
+	<xsl:param name = "value_email" />
 	
-	<xsl:template match="teste">
+	<xsl:template match="send_notification">
 	
-		<div style="margin: 4px;">
-			<label>
-				<xsl:value-of select="$lang_send_notification_email_to" />
-			</label>
-			<br/>
-			<input type="text" name="notifTo[]" size="38"/>
-			<span style="color:red; cursor:pointer; margin-left:2px;" onclick="removeInput(this);"><xsl:value-of select="$lang_delete" /></span>
+		<div style="margin:4px;">
+			<xsl:choose>
+				<xsl:when test="$value_email">
+					<input type="hidden" name="notifTo[]" size="38" value="{$value_email}" />
+				</xsl:when>
+				
+				<xsl:otherwise>
+					<label>
+						<xsl:value-of select="$lang_send_notification_email_to" />
+					</label>
+					<br/>
+					<input type="text" name="notifTo[]" size="38"/>
+					<span style="color:red; cursor:pointer; margin-left:2px;" onclick="removeInput(this);">
+						<xsl:value-of select="$lang_delete" />
+					</span>
+				</xsl:otherwise>
+			</xsl:choose>
 		</div>
 		
Index: /branches/2.2/filemanager/inc/class.uifilemanager.inc.php
===================================================================
--- /branches/2.2/filemanager/inc/class.uifilemanager.inc.php	(revision 3610)
+++ /branches/2.2/filemanager/inc/class.uifilemanager.inc.php	(revision 3638)
@@ -17,437 +17,455 @@
 	/* $Id: class.uifilemanager.inc.php 17511 2004-12-12 06:35:24Z dawnlinux $ */
 
-	class uifilemanager
-	{
-		var $public_functions = array(
-			'index'	=> True,
-			'help'	=> True,
-			'view'  => True,
-			'export'=> True,
-			'touch' => True,
-			'history' => True,
-			'edit' => True,
-			'fileModels'=>True,
-			'getReturnExecuteForm' => True,
-			'dir_ls' => True,
-			'search' => True,
-			'get_folders_list' => True,
-			'showUploadboxes' => True,
-			'createdir' => True,
-			'removedir' => True,
-			'uploadModel'=>True
+class uifilemanager
+{
+	var $public_functions = array(
+		'index'					=> True,
+		'help'					=> True,
+		'view'  				=> True,
+		'export'				=> True,
+		'touch' 				=> True,
+		'history' 				=> True,
+		'edit' 					=> True,
+		'fileModels'			=> True,
+		'getReturnExecuteForm'	=> True,
+		'dir_ls' 				=> True,
+		'search' 				=> True,
+		'get_folders_list' 		=> True,
+		'showUploadboxes' 		=> True,
+		'createdir' 			=> True,
+		'removedir' 			=> True,
+		'uploadModel'			=> True
+	);
+
+	//keep
+	var $bo;
+	var $vfs_functions;
+	var $t; //template object
+	var $dispath;
+	var $cwd;
+	var $lesspath;
+	var $readable_groups;
+	var $files_array;
+	var $numoffiles;
+	var $dispsep;
+
+	var $target;
+
+	var $prefs;//array
+
+	var $groups_applications;
+
+	var $current_config;
+	var $dirs;
+	var $to;
+	var $changedir; // for switching dir.
+	var $cdtodir; // for switching dir.
+	var $newfile_or_dir;
+	var $newfile_x;
+	var $createfile_var;
+	var $move_to_x;
+	var $copy_to_x;
+	var $edit_x;
+	var $edit_file;
+	var $edit_preview_x;
+	var $edit_save_x;
+	var $edit_save_done_x;
+	var $edit_cancel_x;
+
+	// this ones must be checked thorougly;
+	var $fileman = Array();
+	//var $fileman;
+	var $path;
+	var $file; // FIXME WHERE IS THIS FILLED?
+	var $sortby;
+	var $messages;
+	var $limit; //for paging (paginacao)
+	var $offset; //for paging (paginacao)
+
+	var $now;
+
+	function uifilemanager()
+	{
+		$this->messages = &$_SESSION['phpgw_info']['filemanager']['user']['messages'];
+
+		$GLOBALS['phpgw']->browser = CreateObject('phpgwapi.browser');
+
+		$this->now = date('Y-m-d');
+
+		$this->bo = CreateObject('filemanager.bofilemanager');
+
+		$this->vfs_functions = CreateObject('filemanager.vfs_functions');
+
+		$this->t = $GLOBALS['phpgw']->template;
+		$c = CreateObject('phpgwapi.config','filemanager');
+		$c->read_repository();
+		$this->current_config = $c->config_data;
+
+
+		// here local vars are created from the HTTP vars
+		@reset($GLOBALS['HTTP_POST_VARS']);
+		while(list($name,) = @each($GLOBALS['HTTP_POST_VARS']))
+		{
+			$this->$name = $GLOBALS['HTTP_POST_VARS'][$name];
+		}
+
+		@reset($GLOBALS['HTTP_GET_VARS']);
+		while(list($name,) = @each($GLOBALS['HTTP_GET_VARS']))
+		{
+			$$name = $GLOBALS['HTTP_GET_VARS'][$name];
+			$this->$name = $GLOBALS['HTTP_GET_VARS'][$name];
+
+		}
+
+		$to_decode = array
+		(
+			'op'	=> array('op' => ''),
+			'path'	=> array('path' => ''),
+			'filename' => array('filename' => ''),
+			'file'	=> array('file' => ''),
+			'sortby'	=> array('sortby' => ''),
+			'messages'	=> array('messages'	=> ''),
+			'show_upload_boxes'	=> array('show_upload_boxes' => ''),
+			'from'	=>	array('from' => ''),
+			'to' => array('to' => '')
+
 		);
 
-		//keep
-		var $bo;
-		var $vfs_functions;
-		var $t; //template object
-		var $dispath;
-		var $cwd;
-		var $lesspath;
-		var $readable_groups;
-		var $files_array;
-		var $numoffiles;
-		var $dispsep;
-
-		var $target;
-
-		var $prefs;//array
-
-		var $groups_applications;
-
-		var $current_config;
-		var $dirs;
-		var $to;
-		var $changedir; // for switching dir.
-		var $cdtodir; // for switching dir.
-		var $newfile_or_dir;
-		var $newfile_x;
-		var $createfile_var;
-		var $move_to_x;
-		var $copy_to_x;
-		var $edit_x;
-		var $edit_file;
-		var $edit_preview_x;
-		var $edit_save_x;
-		var $edit_save_done_x;
-		var $edit_cancel_x;
-
-		// this ones must be checked thorougly;
-		var $fileman = Array();
-		//var $fileman;
-		var $path;
-		var $file; // FIXME WHERE IS THIS FILLED?
-		var $sortby;
-		var $messages;
-		var $limit; //for paging (paginacao)
-		var $offset; //for paging (paginacao)
-
-		var $now;
-
-		function uifilemanager()
-		{
-			$this->messages = &$_SESSION['phpgw_info']['filemanager']['user']['messages'];
-
-			$GLOBALS['phpgw']->browser = CreateObject('phpgwapi.browser');
-
-			$this->now = date('Y-m-d');
-
-			$this->bo = CreateObject('filemanager.bofilemanager');
-
-			$this->vfs_functions = CreateObject('filemanager.vfs_functions');
-
-			$this->t = $GLOBALS['phpgw']->template;
-			$c = CreateObject('phpgwapi.config','filemanager');
-			$c->read_repository();
-			$this->current_config = $c->config_data;
-
-
-			// here local vars are created from the HTTP vars
-			@reset($GLOBALS['HTTP_POST_VARS']);
-			while(list($name,) = @each($GLOBALS['HTTP_POST_VARS']))
-			{
-				$this->$name = $GLOBALS['HTTP_POST_VARS'][$name];
-			}
-
-			@reset($GLOBALS['HTTP_GET_VARS']);
-			while(list($name,) = @each($GLOBALS['HTTP_GET_VARS']))
-			{
-				$$name = $GLOBALS['HTTP_GET_VARS'][$name];
-				$this->$name = $GLOBALS['HTTP_GET_VARS'][$name];
-
-			}
-
-			$to_decode = array
+		reset($to_decode);
+		while(list($var, $conditions) = each($to_decode))
+		{
+			while(list($condvar, $condvalue) = each($conditions))
+			{
+				if(isset($$condvar) && ($condvar == $var || $$condvar == $condvalue))
+				{
+					$this->$var = stripslashes(base64_decode($$var));
+				}
+			}
+		}
+
+		// get appl. and user prefs
+		$pref = CreateObject('phpgwapi.preferences', $this->bo->userinfo['username']);
+		$pref->read_repository();
+		//$GLOBALS['phpgw']->hooks->single('add_def_pref', $GLOBALS['appname']);
+		$pref->save_repository(True);
+		$pref_array = $pref->read_repository();
+		$this->prefs = $pref_array[$this->bo->appname]; //FIXME check appname var in _debug_array
+
+		//always show name
+
+		$this->prefs[name] =1;
+
+
+		if($this->prefs['viewinnewwin'])
+		{
+			$this->target = '_blank';
+		}
+
+
+		/*
+			Check for essential directories
+			admin must be able to disable these tests
+		*/
+		
+		// check if basedir exist 
+		$test=$this->bo->vfs->get_real_info(array('string' => $this->bo->basedir, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
+		if($test[mime_type]!='Directory')
+		{
+			die('Base directory does not exist, Ask adminstrator to check the global configuration.');
+		}
+
+		$test=$this->bo->vfs->get_real_info(array('string' => $this->bo->basedir.$this->bo->fakebase, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
+		if($test[mime_type]!='Directory')
+		{
+			$this->bo->vfs->override_acl = 1;
+
+			$this->bo->vfs->mkdir(array(
+				'string' => $this->bo->fakebase,
+				'relatives' => array(RELATIVE_NONE)
+			));
+			
+			$this->bo->vfs->override_acl = 0;
+
+			//test one more time
+			$test=$this->bo->vfs->get_real_info(array('string' => $this->bo->basedir.$this->bo->fakebase, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
+
+			if($test[mime_type]!='Directory')
+			{
+				die('Fake Base directory does not exist and could not be created, please ask the administrator to check the global configuration.');
+			}
+			else
+			{
+				$this->messages[]= lang('Fake Base Dir did not exist, created a new one.');
+			}
+		}
+
+		$test=$this->bo->vfs->get_real_info(array('string' => $this->bo->basedir.$this->bo->homedir, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
+		if($test[mime_type]!='Directory')
+		{
+			$this->bo->vfs->override_acl = 1;
+
+			$this->bo->vfs->mkdir(array(
+				'string' => $this->bo->homedir,
+				'relatives' => array(RELATIVE_NONE)
+			));
+			$this->bo->vfs->set_quota(array(
+				'string' => $this->bo->homedir,
+				'relatives' => array(RELATIVE_NONE),
+				'new_quota' => $this->current_config['filemanager_quota_size'] 
+			));
+
+			$this->bo->vfs->override_acl = 0;
+
+			//test one more time
+			$test=$this->bo->vfs->get_real_info(array('string' => $this->bo->basedir.$this->bo->homedir, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
+
+			if($test[mime_type]!='Directory')
+			{
+				die('Your Home Dir does not exist and could not be created, please ask the adminstrator to check the global configuration.');
+			}
+			else
+			{
+				$this->messages[]= lang('Your Home Dir did not exist, eGroupWare created a new one.');
+				// FIXME we just created a fresh home dir so we know there nothing in it so we have to remove all existing content
+			}
+
+
+		}
+	}
+	function fileModels()
+	{
+		$GLOBALS['phpgw_info']['flags'] = array
 			(
-				'op'	=> array('op' => ''),
-				'path'	=> array('path' => ''),
-				'filename' => array('filename' => ''),
-				'file'	=> array('file' => ''),
-				'sortby'	=> array('sortby' => ''),
-				'messages'	=> array('messages'	=> ''),
-				'show_upload_boxes'	=> array('show_upload_boxes' => ''),
-				'from'	=>	array('from' => ''),
-				'to' => array('to' => '')
-
+				'currentapp'    => 'filemanager',
+				'noheader'      => False,
+				'nonavbar' => False,
+				'nofooter'      => False,
+				'noappheader'   => False,
+				'enable_browser_class'  => True
 			);
 
-			reset($to_decode);
-			while(list($var, $conditions) = each($to_decode))
-			{
-				while(list($condvar, $condvalue) = each($conditions))
-				{
-					if(isset($$condvar) && ($condvar == $var || $$condvar == $condvalue))
-					{
-						$this->$var = stripslashes(base64_decode($$var));
-					}
-				}
-			}
-
-			// get appl. and user prefs
-			$pref = CreateObject('phpgwapi.preferences', $this->bo->userinfo['username']);
-			$pref->read_repository();
-			//$GLOBALS['phpgw']->hooks->single('add_def_pref', $GLOBALS['appname']);
-			$pref->save_repository(True);
-			$pref_array = $pref->read_repository();
-			$this->prefs = $pref_array[$this->bo->appname]; //FIXME check appname var in _debug_array
-
-			//always show name
-
-			$this->prefs[name] =1;
-
-
-			if($this->prefs['viewinnewwin'])
-			{
-				$this->target = '_blank';
-			}
-
-
-			/*
-				Check for essential directories
-				admin must be able to disable these tests
-			*/
-			
-			// check if basedir exist 
-			$test=$this->bo->vfs->get_real_info(array('string' => $this->bo->basedir, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
-			if($test[mime_type]!='Directory')
-			{
-				die('Base directory does not exist, Ask adminstrator to check the global configuration.');
-			}
-
-			$test=$this->bo->vfs->get_real_info(array('string' => $this->bo->basedir.$this->bo->fakebase, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
-			if($test[mime_type]!='Directory')
-			{
-				$this->bo->vfs->override_acl = 1;
-
-				$this->bo->vfs->mkdir(array(
-					'string' => $this->bo->fakebase,
-					'relatives' => array(RELATIVE_NONE)
-				));
-				
-				$this->bo->vfs->override_acl = 0;
-
-				//test one more time
-				$test=$this->bo->vfs->get_real_info(array('string' => $this->bo->basedir.$this->bo->fakebase, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
-
-				if($test[mime_type]!='Directory')
-				{
-					die('Fake Base directory does not exist and could not be created, please ask the administrator to check the global configuration.');
-				}
-				else
-				{
-					$this->messages[]= lang('Fake Base Dir did not exist, created a new one.');
-				}
-			}
-
-			$test=$this->bo->vfs->get_real_info(array('string' => $this->bo->basedir.$this->bo->homedir, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
-			if($test[mime_type]!='Directory')
-			{
-				$this->bo->vfs->override_acl = 1;
-
-				$this->bo->vfs->mkdir(array(
-					'string' => $this->bo->homedir,
-					'relatives' => array(RELATIVE_NONE)
-				));
-				$this->bo->vfs->set_quota(array(
-					'string' => $this->bo->homedir,
-					'relatives' => array(RELATIVE_NONE),
-					'new_quota' => $this->current_config['filemanager_quota_size'] 
-				));
+		$GLOBALS['phpgw']->common->phpgw_header();
+		$this->t->set_file(array('models' => 'fileModels.tpl'));
+		$this->t->set_block('models','header','header');
+		$this->t->set_block('models','body','body');
+		$this->t->set_block('models','footer','footer');
+		$this->t->set_var('url_1', './index.php?menuaction=filemanager.uifilemanager.uploadModel&model=article');
+		$this->t->set_var('model_1','article');
+		$this->t->set_var('lang_1',lang('article'));
+
+		$this->t->set_var('url_2','./index.php?menuaction=filemanager.uifilemanager.uploadModel&model=calendar');
+		$this->t->set_var('model_2','calendar');
+		$this->t->set_var('lang_2',lang('calendar'));
+
+		$this->t->set_var('url_3','./index.php?menuaction=filemanager.uifilemanager.uploadModel&model=todo');
+		$this->t->set_var('model_3','todo');
+		$this->t->set_var('lang_3',lang('todo'));
+
+		$this->t->set_var('url_4','./index.php?menuaction=filemanager.uifilemanager.uploadModel&model=slide');
+		$this->t->set_var('model_4','slide');
+		$this->t->set_var('lang_4',lang('slide'));
+
+		$this->t->set_var('url_5','./index.php?menuaction=filemanager.uifilemanager.uploadModel&model=cards');
+		$this->t->set_var('model_5','cards');
+		$this->t->set_var('lang_5',lang('cards'));
+
+		$this->t->set_var('url_6','./index.php?menuaction=filemanager.uifilemanager.uploadModel&model=resume');
+		$this->t->set_var('model_6','resume');
+		$this->t->set_var('lang_6',lang('resume'));
+
+
+		$this->t->pparse('out','models');
+
+
+	}
+	function uploadModel(){
+		$GLOBALS['phpgw_info']['flags'] = array
+			(
+				'currentapp'    => 'filemanager',
+				'noheader'      => False,
+				'nonavbar' => False,
+				'nofooter'      => False,
+				'noappheader'   => False,
+				'enable_browser_class'  => True
+			);
+
+		$GLOBALS['phpgw']->common->phpgw_header();
+
+		$filename = lang('new')."_".lang($this->model).rand(0,1000).".html";
+		$this->bo->vfs->cp(array(
+			'from'=> PHPGW_SERVER_ROOT . '/filemanager/templates/default/'.$this->model.'.html',
+			'to'=> $filename,
+			'relatives'     => array(RELATIVE_NONE|VFS_REAL, RELATIVE_ALL)
+		));
+
+		$this->bo->vfs->set_attributes(array(
+			'string'=> $filename,
+			'relatives'     => array(RELATIVE_ALL),
+			'attributes'=> array(
+				'mime_type' => "text/html",
+				'comment' => ""
+			)
+		));
+		$this->filename = $filename;
+		$this->edit();
+
+	}
+	function index()
+	{
+		$GLOBALS['phpgw_info']['flags'] = array
+		(
+			'currentapp'	=> 'filemanager',
+			'noheader'	=> False,
+			'nonavbar' => False,
+			'nofooter'	=> False,
+			'noappheader'	=> False,
+			'enable_browser_class'	=> True
+		);
+
+		$GLOBALS['phpgw']->common->phpgw_header();
+		
+		echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/global.js'></script>";
+		echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/main.js'></script>";
+		echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/common_functions.js'></script>";
+		echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/connector.js'></script>";
+		echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/draw_api.js'></script>";
+		echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/drag_area.js'></script>";
+		echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/handler.js'></script>";
+
+
+		// Temas Expresso
+		$theme = "window_" . $GLOBALS['phpgw_info']['user']['preferences']['common']['theme'] . ".css";
+
+		if( !file_exists('filemanager/tp/expressowindow/css/'.$theme) )
+			$theme = "window_default.css";
+
+		// Path FileManager
+		$webserver_url = $GLOBALS['phpgw_info']['server']['webserver_url'];
+		$webserver_url = ( !empty($webserver_url) ) ? $webserver_url : '/';
 	
-				$this->bo->vfs->override_acl = 0;
-
-				//test one more time
-				$test=$this->bo->vfs->get_real_info(array('string' => $this->bo->basedir.$this->bo->homedir, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
-
-				if($test[mime_type]!='Directory')
-				{
-					die('Your Home Dir does not exist and could not be created, please ask the adminstrator to check the global configuration.');
-				}
-				else
-				{
-					$this->messages[]= lang('Your Home Dir did not exist, eGroupWare created a new one.');
-					// FIXME we just created a fresh home dir so we know there nothing in it so we have to remove all existing content
-				}
-
-
-			}
-		}
-		function fileModels()
-		{
-			$GLOBALS['phpgw_info']['flags'] = array
-				(
-					'currentapp'    => 'filemanager',
-					'noheader'      => False,
-					'nonavbar' => False,
-					'nofooter'      => False,
-					'noappheader'   => False,
-					'enable_browser_class'  => True
-				);
-
-			$GLOBALS['phpgw']->common->phpgw_header();
-			$this->t->set_file(array('models' => 'fileModels.tpl'));
-			$this->t->set_block('models','header','header');
-			$this->t->set_block('models','body','body');
-			$this->t->set_block('models','footer','footer');
-			$this->t->set_var('url_1', './index.php?menuaction=filemanager.uifilemanager.uploadModel&model=article');
-			$this->t->set_var('model_1','article');
-			$this->t->set_var('lang_1',lang('article'));
-
-			$this->t->set_var('url_2','./index.php?menuaction=filemanager.uifilemanager.uploadModel&model=calendar');
-			$this->t->set_var('model_2','calendar');
-			$this->t->set_var('lang_2',lang('calendar'));
-
-			$this->t->set_var('url_3','./index.php?menuaction=filemanager.uifilemanager.uploadModel&model=todo');
-			$this->t->set_var('model_3','todo');
-			$this->t->set_var('lang_3',lang('todo'));
-
-			$this->t->set_var('url_4','./index.php?menuaction=filemanager.uifilemanager.uploadModel&model=slide');
-			$this->t->set_var('model_4','slide');
-			$this->t->set_var('lang_4',lang('slide'));
-
-			$this->t->set_var('url_5','./index.php?menuaction=filemanager.uifilemanager.uploadModel&model=cards');
-			$this->t->set_var('model_5','cards');
-			$this->t->set_var('lang_5',lang('cards'));
-
-			$this->t->set_var('url_6','./index.php?menuaction=filemanager.uifilemanager.uploadModel&model=resume');
-			$this->t->set_var('model_6','resume');
-			$this->t->set_var('lang_6',lang('resume'));
-
-
-			$this->t->pparse('out','models');
-
-
-		}
-		function uploadModel(){
-			$GLOBALS['phpgw_info']['flags'] = array
-				(
-					'currentapp'    => 'filemanager',
-					'noheader'      => False,
-					'nonavbar' => False,
-					'nofooter'      => False,
-					'noappheader'   => False,
-					'enable_browser_class'  => True
-				);
-
-			$GLOBALS['phpgw']->common->phpgw_header();
-
-			$filename = lang('new')."_".lang($this->model).rand(0,1000).".html";
-			$this->bo->vfs->cp(array(
-				'from'=> PHPGW_SERVER_ROOT . '/filemanager/templates/default/'.$this->model.'.html',
-				'to'=> $filename,
-				'relatives'     => array(RELATIVE_NONE|VFS_REAL, RELATIVE_ALL)
-			));
-
-			$this->bo->vfs->set_attributes(array(
-				'string'=> $filename,
-				'relatives'     => array(RELATIVE_ALL),
-				'attributes'=> array(
-					'mime_type' => "text/html",
-					'comment' => ""
-				)
-			));
-			$this->filename = $filename;
-			$this->edit();
-
-		}
-		function index()
-		{
-			$GLOBALS['phpgw_info']['flags'] = array
-			(
-				'currentapp'	=> 'filemanager',
-				'noheader'	=> False,
-				'nonavbar' => False,
-				'nofooter'	=> False,
-				'noappheader'	=> False,
-				'enable_browser_class'	=> True
-			);
-
-			$GLOBALS['phpgw']->common->phpgw_header();
-			
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/global.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/main.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/common_functions.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/connector.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/draw_api.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/drag_area.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/js/handler.js'></script>";
-
-
-			// Temas Expresso
-			$theme = "window_" . $GLOBALS['phpgw_info']['user']['preferences']['common']['theme'] . ".css";
-
-			if( !file_exists('filemanager/tp/expressowindow/css/'.$theme) )
-				$theme = "window_default.css";
-
-			// Path FileManager
-			$webserver_url = $GLOBALS['phpgw_info']['server']['webserver_url'];
-			$webserver_url = ( !empty($webserver_url) ) ? $webserver_url : '/';
+		if(strrpos($webserver_url,'/') === false || strrpos($webserver_url,'/') != (strlen($webserver_url)-1))
+			$webserver_url .= '/';
+	
+		$webserver_url 	= $webserver_url . 'filemanager/'; 
 		
-			if(strrpos($webserver_url,'/') === false || strrpos($webserver_url,'/') != (strlen($webserver_url)-1))
-				$webserver_url .= '/';
+		$js   = "var path_filemanager	= '".$webserver_url."';";
+		$js	 .= "var my_home_filemanager	= '".trim($GLOBALS['uifilemanager']->bo->vfs->my_home)."';";
 		
-			$webserver_url 	= $webserver_url . 'filemanager/'; 
-			
-			$js   = "var path_filemanager	= '".$webserver_url."';";
-			$js	 .= "var my_home_filemanager	= '".trim($GLOBALS['uifilemanager']->bo->vfs->my_home)."';";
-			
-			echo "<script type='text/javascript'>".$js."</script>";
-
-			// Expresso Window - CSS
-			print '<link rel="stylesheet" type="text/css" href="' . $webserver_url . 'tp/expressowindow/css/'.$theme.'" >';
-
-			// Expresso Window - JS 
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/tp/expressowindow/js/xtools.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/tp/expressowindow/js/jsloader.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/tp/expressowindow/js/makeW.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/tp/expressowindow/js/dragdrop.js'></script>";
-			echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/tp/expressowindow/js/show_hidden.js'></script>";
-
-			echo "<script src='./phpgwapi/js/dftree/dftree.js'></script>";
-
-			include('load_lang.php');
-
-			# Page to process users
-			# Code is fairly hackish at the beginning, but it gets better
-			# Highly suggest turning wrapping off due to long SQL queries
-
-			###
-			# Some hacks to set and display directory paths correctly
-			###
-			// new method for switching to a new dir.
-			if($this->changedir=='true' && $this->cdtodir || $this->goto_x)
-			{
-				$this->path = $this->cdtodir;
-			}
-
-			if(!$this->path)
-			{
-				$this->path = $this->bo->vfs->pwd();
-
-				if(!$this->path || $this->bo->vfs->pwd(array('full' => False)) == '')
-				{
-					$this->path = $this->bo->homedir; 
-				}
-			}
-
-			$this->bo->vfs->cd(array('string' => False, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
-			$this->bo->vfs->cd(array('string' => $this->path, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
-
-			$pwd = $this->bo->vfs->pwd();
-
-			if(!$this->cwd = substr($this->path, strlen($this->bo->homedir) + 1))  
-			{
-				$this->cwd = '/';
-			}
-			else
-			{
-				$this->cwd = substr($pwd, strrpos($pwd, '/') + 1);
-			}
-
-			$this->disppath = $this->path;
-
-			/* This just prevents // in some cases */
-			if($this->path == '/')
-			{
-				$this->dispsep = '';
-			}
-			else
-			{
-				$this->dispsep = '/';
-			}
-
-			if(!($this->lesspath = substr($this->path, 0, strrpos($this->path, '/'))))
-			{
-				$this->lesspath = '/';
-			}
-
-			/*Check permission*/
-			if($this->bo->vfs->acl_check(array(
+		echo "<script type='text/javascript'>".$js."</script>";
+
+		// Expresso Window - CSS
+		print '<link rel="stylesheet" type="text/css" href="' . $webserver_url . 'tp/expressowindow/css/'.$theme.'" >';
+
+		// Expresso Window - JS 
+		echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/tp/expressowindow/js/xtools.js'></script>";
+		echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/tp/expressowindow/js/jsloader.js'></script>";
+		echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/tp/expressowindow/js/makeW.js'></script>";
+		echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/tp/expressowindow/js/dragdrop.js'></script>";
+		echo "<script src='".$GLOBALS['phpgw_info']['flags']['currentapp']."/tp/expressowindow/js/show_hidden.js'></script>";
+
+		echo "<script src='./phpgwapi/js/dftree/dftree.js'></script>";
+
+		include('load_lang.php');
+
+		# Page to process users
+		# Code is fairly hackish at the beginning, but it gets better
+		# Highly suggest turning wrapping off due to long SQL queries
+
+		###
+		# Some hacks to set and display directory paths correctly
+		###
+		// new method for switching to a new dir.
+		if($this->changedir=='true' && $this->cdtodir || $this->goto_x)
+		{
+			$this->path = $this->cdtodir;
+		}
+
+		if(!$this->path)
+		{
+			$this->path = $this->bo->vfs->pwd();
+
+			if(!$this->path || $this->bo->vfs->pwd(array('full' => False)) == '')
+			{
+				$this->path = $this->bo->homedir; 
+			}
+		}
+
+		$this->bo->vfs->cd(array('string' => False, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
+		$this->bo->vfs->cd(array('string' => $this->path, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
+
+		$pwd = $this->bo->vfs->pwd();
+
+		if(!$this->cwd = substr($this->path, strlen($this->bo->homedir) + 1))  
+		{
+			$this->cwd = '/';
+		}
+		else
+		{
+			$this->cwd = substr($pwd, strrpos($pwd, '/') + 1);
+		}
+
+		$this->disppath = $this->path;
+
+		/* This just prevents // in some cases */
+		if($this->path == '/')
+		{
+			$this->dispsep = '';
+		}
+		else
+		{
+			$this->dispsep = '/';
+		}
+
+		if(!($this->lesspath = substr($this->path, 0, strrpos($this->path, '/'))))
+		{
+			$this->lesspath = '/';
+		}
+
+		/*Check permission*/
+		if($this->bo->vfs->acl_check(array(
+			'string' => $this->path,
+			'relatives' => array(RELATIVE_NONE),
+			'operation' => PHPGW_ACL_READ
+		)))
+		{
+			$this->can_read = True;
+		}
+
+
+		if ($_SESSION['phpgw_info']['user']['filemanager']['flush'] != 'flushed')
+		{
+			/*Flush journal-deleted*/
+			$this->bo->vfs->flush_journal(array(
 				'string' => $this->path,
 				'relatives' => array(RELATIVE_NONE),
-				'operation' => PHPGW_ACL_READ
+				'deleteall' => True
+			));
+			$_SESSION['phpgw_info']['user']['filemanager']['flush'] = 'flushed';
+		}
+
+
+
+		# if is different path than home and no permission allowed
+		if($this->path != $this->bo->homedir && $this->path != $this->bo->fakebase && $this->path != '/' && !$this->can_read)
+		{
+			$this->messages[] = lang('You do not have access to %1', $this->path);
+			$this->path = $this->homedir;
+			$this->bo->vfs->cd(array('string' => $this->path, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
+			$GLOBALS['phpgw']->common->phpgw_footer();
+			$GLOBALS['phpgw']->common->phpgw_exit();
+		}
+
+		$this->bo->userinfo['working_id'] = $this->bo->vfs->working_id;
+		$this->bo->userinfo['working_lid'] = $GLOBALS['phpgw']->accounts->id2name($this->bo->userinfo['working_id']);
+
+		# Verify path is real
+		if($this->path != $this->bo->homedir && $this->path != '/' && $this->path != $this->bo->fakebase)
+		{
+			if(!$this->bo->vfs->file_exists(array(
+				'string' => $this->path,
+				'relatives' => array(RELATIVE_NONE)
 			)))
 			{
-				$this->can_read = True;
-			}
-
-
-			if ($_SESSION['phpgw_info']['user']['filemanager']['flush'] != 'flushed')
-			{
-				/*Flush journal-deleted*/
-				$this->bo->vfs->flush_journal(array(
-					'string' => $this->path,
-					'relatives' => array(RELATIVE_NONE),
-					'deleteall' => True
-				));
-				$_SESSION['phpgw_info']['user']['filemanager']['flush'] = 'flushed';
-			}
-
-
-
-			# if is different path than home and no permission allowed
-			if($this->path != $this->bo->homedir && $this->path != $this->bo->fakebase && $this->path != '/' && !$this->can_read)
-			{
-				$this->messages[] = lang('You do not have access to %1', $this->path);
+				$this->messages[] = lang('Error:').lang('Directory %1 does not exist', $this->path);
 				$this->path = $this->homedir;
 				$this->bo->vfs->cd(array('string' => $this->path, 'relatives' => array(RELATIVE_NONE), 'relative' => False));
